Subject: Virtual Reality Headset (Christmas Gift of the YEAR)

From: "Astoria Virtual Reality" <[email-masked]>
Date: Thu, 12 Jan 2017 12:37:50 -0800

Your email client does not support HTML, this email must be viewed in HTML mode.